cURL
curl --request GET \
--url https://api.collective.work/{environment}/v1/job \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.collective.work/{environment}/v1/job"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.collective.work/{environment}/v1/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.collective.work/{environment}/v1/job",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.collective.work/{environment}/v1/job"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.collective.work/{environment}/v1/job")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.collective.work/{environment}/v1/job")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"jobId": "cm71yqftr00000ck0bpz3hpg1",
"internalJobId": "CLIENT-123",
"jobUrl": "https://www.collective.work/jobs/en/full-stack-developer-paris-8rnv",
"accountEmail": "recruiter@example.com",
"status": "OPEN",
"isExpired": false,
"expirationDate": "2026-11-30T22:00:00.000Z",
"closedAt": null,
"createdAt": "2026-10-22T09:30:00.000Z",
"title": "Full Stack Developer",
"companyName": "Collective",
"companyLogoUrl": "https://assets.collective.work/logos/collective.png",
"budget": "600-750€/day",
"isSalaryAccordingToProfile": false,
"contractType": "FREELANCE",
"location": "Paris, France",
"workPreferences": [
"REMOTE",
"HYBRID"
],
"skills": [
"TypeScript",
"React"
],
"language": "en",
"description": "<p>We are looking for a full stack developer.</p>",
"profileWanted": "<p>5 years of experience with TypeScript.</p>",
"questions": [
"Why are you interested in this job?"
],
"requirePhoneNumber": false,
"notifyByEmailForEveryApplication": false
}{
"message": "Invalid authorization header: Please provide a valid API key",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": [
"Resource not found"
],
"statusCode": 404,
"error": "Not Found"
}{
"message": [
"Internal server error"
],
"statusCode": 500,
"error": "Internal Server Error"
}Job API Endpoints
Get Job
Retrieve the full content of an open, paused, or closed job in your organization and the selected environment. Deleted jobs return 404.
GET
/
job
cURL
curl --request GET \
--url https://api.collective.work/{environment}/v1/job \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.collective.work/{environment}/v1/job"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.collective.work/{environment}/v1/job', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.collective.work/{environment}/v1/job",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.collective.work/{environment}/v1/job"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.collective.work/{environment}/v1/job")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.collective.work/{environment}/v1/job")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"jobId": "cm71yqftr00000ck0bpz3hpg1",
"internalJobId": "CLIENT-123",
"jobUrl": "https://www.collective.work/jobs/en/full-stack-developer-paris-8rnv",
"accountEmail": "recruiter@example.com",
"status": "OPEN",
"isExpired": false,
"expirationDate": "2026-11-30T22:00:00.000Z",
"closedAt": null,
"createdAt": "2026-10-22T09:30:00.000Z",
"title": "Full Stack Developer",
"companyName": "Collective",
"companyLogoUrl": "https://assets.collective.work/logos/collective.png",
"budget": "600-750€/day",
"isSalaryAccordingToProfile": false,
"contractType": "FREELANCE",
"location": "Paris, France",
"workPreferences": [
"REMOTE",
"HYBRID"
],
"skills": [
"TypeScript",
"React"
],
"language": "en",
"description": "<p>We are looking for a full stack developer.</p>",
"profileWanted": "<p>5 years of experience with TypeScript.</p>",
"questions": [
"Why are you interested in this job?"
],
"requirePhoneNumber": false,
"notifyByEmailForEveryApplication": false
}{
"message": "Invalid authorization header: Please provide a valid API key",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": [
"Resource not found"
],
"statusCode": 404,
"error": "Not Found"
}{
"message": [
"Internal server error"
],
"statusCode": 500,
"error": "Internal Server Error"
}Authorizations
Your organization API key, available in Organisation settings.
Query Parameters
Response
Job successfully retrieved
Was this page helpful?

